Bug 75655 - Proposal for nautilus running as root
Proposal for nautilus running as root
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: nautilus (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Jay Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-10 14:52 EDT by Gérard Milmeister
Modified: 2015-01-07 19:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 08:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gérard Milmeister 2002-10-10 14:52:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
You can run nautilus has root, but it works only well if you use the
--no-desktop option.
My proposal is to add a command nautilus-root, that would start up with the
--no-desktop option, and authentifying using pam.
I could do that myself using a script and creating a corresponding file in
pam.d, but of course shell scripts are too unsecure to do this. So a complete
setup with binary and a menu entry, plus a clear look for the nautilus window,
that identifies it as root, would be useful addition to RedHat.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
N/A

Additional info:
Comment 1 Havoc Pennington 2002-10-10 15:05:31 EDT
Personally I would not do this (I'd expect nautilus to do things like drop
metadata under /usr...)

But of course it should be made to work, as you should be able to do root 
tasks without using the command line.
Comment 2 Gérard Milmeister 2002-10-10 18:35:00 EDT
Yes, you are right of course. There could be a special root nautilus mode, that
might implement some access properties like in sudo.
Comment 3 Alexander Larsson 2004-10-04 08:50:06 EDT
It would be nice in general to have better ways to handle operations
that need root in the GUI. I'm not sure running a whole nautilus as
root is a good idea. 

Anyway, this has to be solved upstream. Upstream already know about
this issue, so I'm just gonna close this bug for now. Thanks for your
comments.

Note You need to log in before you can comment on or make changes to this bug.